#include <cstdio>
#include <vector>
#include <algorithm>
#include <iostream>

using namespace std;

int main(){
    vector <int> A;
    vector <float> P;
    vector <double> Rez;
    int n,va;
    float vp;
    double x = 0;

    scanf("%d",&n);

    for(int i = 0; i < n; i++){
        scanf("%d%f",&va,&vp);
        A.push_back(va);
        P.push_back(vp);
    }

    for(int i = 0; i < n; i++){
        for(int j = 0; j < n; j++){
            if(P[i] <= P[j]){
            x += P[i] / 100 * A[j];
            }
        }
        Rez.push_back(x);
        x = 0;
    }

    printf("\n%.4lf",*max_element(Rez.begin(),Rez.end()));


}